Page MenuHomePhabricator

Set $wgArticleCountMethod = 'any' on bgwikinews and run updateArticleCount.php
Closed, ResolvedPublic

Description

Hi, bgwikinews would like to set $wgArticleCountMethod to 'any'. Please also run updateArticleCount.php if necessary.

Here’s a permanent link to the voting on the voting page of the Bulgarian-language Wikinews:

Уикиновини:Гласуване#Промяна на начина за броене на статии (новини) в сайта

This change was proposed on April 14, 2019. Five users have supported it, and nobody has objected.

Thank you in advance on behalf of the bgwikinews community.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterSet wgArticleCountMethod='any' for bgwikinews

Event Timeline

Restricted Application added subscribers: kerberizer, Aklapper. · View Herald TranscriptApr 28 2019, 9:47 PM

Change 506943 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[operations/mediawiki-config@master] Set wgArticleCountMethod='any' for bgwikinews

https://gerrit.wikimedia.org/r/506943

It's good to provide a reason for such changes, to help the developers make sure we're providing the best solution for what the community really wants. (I was curious if there was any language-specific issue to fix.)

If I understand correctly, the reason is that local writing practice does not include internal linking between articles. It's not clear from recent articles whether links to Wikipedia and categories, present in a minority of them, are considered a best practice.

Did you consider the "comma count"? It seems all "real" articles have at least a comma. Do you want to count also pages like https://bg.wikinews.org/wiki/%D0%9F%D1%80%D0%B5%D0%B3%D0%BB%D0%B5%D0%B4_%D0%BD%D0%B0_%D0%BF%D0%B5%D1%87%D0%B0%D1%82%D0%B0_-_2_%D0%B4%D0%B5%D0%BA%D0%B5%D0%BC%D0%B2%D1%80%D0%B8_2008_%D0%B3.? https://bg.wikinews.org/wiki/Special:ShortPages can help you find examples.

The "comma" option was dropped from MediaWiki for performance reasons years ago, I'm afraid.

It's good to provide a reason for such changes, to help the developers make sure we're providing the best solution for what the community really wants. (I was curious if there was any language-specific issue to fix.)

The internal topology of an encyclopaedic infospace is connected to a much greater degree than that of a news infospace. As a result, a good encyclopaedic article will contain tens, if not hundreds of links to other articles, while even the elite news articles will rarely contain a link to another news article, or to an encyclopaedic article.

As a result, in an encyclopaedic site it might be reasonable to count only articles that link to others, as this is an indicator of a somewhat developed article. In a news site however it does not make sense. At least this is the unanimous conclusion of the bgwikinews voters.

FWIW, it might be interesting to know how this option is configured for the Wikinews projects in other languages.

In production right now, all wikis use 'link' except eleven: Wikidata (T144687); the Czech (T45525), Finish (T216333), and Chinese (T53604) Wikinewses (so, 2 of 34); the English and Portuguese Wikibookses (T29256/T188472; 2 of 120); the Gujarati (T42173), Polish (T131771), and Serbian (T172974) Wikisources (3 of 68), the Serbian Wikiquote (T172974; 1 of 89), and the Chinese Wikiversity (T214946; 1 of 18).

To put it another way, there's no consistency.

@Jdforrester-WMF Thank you very much! Judging by those discussions, we seem to be on the right track here, especially given the very low level of activity on bgnews.

Dcljr added a subscriber: Dcljr.May 8 2019, 3:22 AM

@kerberizer: "on the right track" towards what? Having the request fulfilled or declined? I don't underdstand what you mean.

@Nemo_bis: Typically, the "reason" for such requests is not just "local" writing practice (i.e., specific to a language/wiki) but the nature of the project itself (i.e., being a Wikinews). For Wikinews and Wikisource wikis especially, the type of content they host does not lend itself naturally to internal wikilinking among articles in the content itself (i.e., what Grigor_Gatchev said). Most such wikis get around this by systematic use of header or footer templates that provide some kind of "automatic" linking.

Note also that "links to Wikipedia and categories" are of no relevance in this discussion (assuming by "categories" you meant links that place pages into categories, as opposed to regular wikilinks to category pages), since neither type of link is taken into account under any existing article-counting option. (It would be great if more options were provided, but I doubt that will ever happen.)

As for the counts of how many wikis do one thing or another, I think those results are greatly biased towards the default 'link' option due to a widespread lack of awareness of how article counting is done and that the 'any' option even exists.

@Dcljr: fulfilled... sorry for not being clearer

Framawiki moved this task from Backlog to To deploy on the Wikimedia-Site-requests board.
Framawiki added subscribers: Ammarpad, Framawiki.

[Assigning to you @Ammarpad, if you've no time I can deploy it tomorrow]

[Assigning to you @Ammarpad, if you've no time I can deploy it tomorrow]

Yes please do.

Deployment planned for tomorrow May 13th 18:00 UTC.

Change 506943 merged by jenkins-bot:
[operations/mediawiki-config@master] Set wgArticleCountMethod='any' for bgwikinews

https://gerrit.wikimedia.org/r/506943

Reedy closed this task as Resolved.May 13 2019, 6:13 PM
Reedy removed a project: Patch-For-Review.
Reedy added a subscriber: Reedy.
reedy@deploy1001:/srv/mediawiki-staging$ mwscript updateArticleCount.php --wiki=bgwikinews --update
Counting articles...found 1580.
Updating site statistics table... done.
reedy@deploy1001:/srv/mediawiki-staging$
reedy@deploy1001:/srv/mediawiki-staging$ mwscript updateArticleCount.php --wiki=bgwikinews --update
Counting articles...found 1580.
Updating site statistics table... done.
reedy@deploy1001:/srv/mediawiki-staging$

Please accept my gratitude.